Subject: Re: elegant(?) debian topgit workflow?

From: David Greaves <[email-masked]>
Date: Thu, 24 Dec 2009 16:34:10 +0000

Felipe Contreras wrote:
> On Wed, Dec 16, 2009 at 12:13 PM, Thomas Koch <[email-masked]> wrote:
>> branches
>> --------
>>
>> upstream
> 
> I would call it 'master'. That's how upstream would call it.
> 
>> debian/*, fixes/*, features/* - topgit branches based on upstream
>> patches - the hero
>> master - contains the debian/ dir and is the branch we build from
> 
> Think about other systems, like Ubuntu and Maemo, it would be nice to
> have branches both for Maemo and Debian on the same repo:
> debian - what you call 'master'
> debian-patches - what you call 'patches'
> maemo5 - contains the debian/ dir, but for Maemo 5
> maemo5-patches - patches for Maemo 5, might be based on top of debian-patches

I've been touting for feedback on this for a while :)

http://wiki.maemo.org/Mer/Build/UsingGitorious

David

-- 
"Don't worry, you'll be fine; I saw it work in a cartoon once..."